Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.message
Class XMLMessage

    java.lang.Object
      org.apache.cxf.message.AbstractWrappedMessage
          org.apache.cxf.message.XMLMessage

All Implemented Interfaces:
  java.util.Map<java.lang.String,java.lang.Object>, Message, StringMap

    public class XMLMessage

extends AbstractWrappedMessage

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry<K,V>`

Field Summary

Fields inherited from interface org.apache.cxf.message.Message
`ACCEPT_CONTENT_TYPE, ASYNC_POST_RESPONSE_DISPATCH, ATTACHMENTS, BASE_PATH, CONTENT_TYPE, DECOUPLED_CHANNEL_MESSAGE, ENCODING, ENDPOINT_ADDRESS, FAULT_STACKTRACE_ENABLED, FIXED_PARAMETER_ORDER, HTTP_REQUEST_METHOD, INBOUND_MESSAGE, INVOCATION_CONTEXT, MAINTAIN_SESSION, MIME_HEADERS, MTOM_ENABLED, PARTIAL_RESPONSE_MESSAGE, PATH_INFO, PROTOCOL_HEADERS, QUERY_STRING, REQUESTOR_ROLE, RESPONSE_CODE, SCHEMA_VALIDATION_ENABLED, TRANSPORT, WSDL_DESCRIPTION, WSDL_INTERFACE, WSDL_OPERATION, WSDL_PORT, WSDL_SERVICE`

Constructor Summary
`XMLMessage(Message message)`

Method Summary

Methods inherited from class org.apache.cxf.message.AbstractWrappedMessage
`clear, containsKey, containsValue, entrySet, equals, get, get, getAttachments, getContent, getContentFormats, getContextualProperty, getDestination, getExchange, getId, getInterceptorChain, getMessage, hashCode, isEmpty, keySet, put, put, putAll, remove, removeContent, setAttachments, setContent, setExchange, setId, setInterceptorChain, setMessage, size, values`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLMessage

    public XMLMessage(Message message)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF